Get Residential Addresses

get/api/accounts/{cardholderAccountId}/residential-addresses

Retrieve previously submitted residential addresses of the cardholder.

Request

Path Parameters

  • cardholderAccountIdstringrequired

    ID of the cardholder account.

Response

Successful operation.

Body application/json

Items

  • unitNumberstring

    The unit number.

  • streetNumberstring

    Street number. Generally a number but can also be alphanumeric.

  • streetNamestring

    Street name.

  • townstring

    The town/village/suburb/city.

  • suburbstring

    The suburb in the town/city. Only use this if you require a suburb AND a town/city, otherwise, just use the "town" parameter.

  • statestring

    The state. Use local abbreviations such as VIC (Victoria) or TX (Texas).

  • regionstring

    The county, province, or cantonment.

  • postalCodestring

    Postal code.

  • countrystring

    The ISO 3166-2 Country code of the country the address is in.

  • fullAddressstring

    The submitted unstructured address.